Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.editor.handler
Class ControlGenerator

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.editor.handler.ControlGenerator

    public final class ControlGenerator

extends Object

Generates and sets a list of controls to a `VView`.

Method Summary
`static void` | `addControls(org.eclipse.emf.ecore.EClass rootClass, VElement compositeToFill, Set<org.eclipse.emf.ecore.EStructuralFeature> features)` Create controls and set them to the view.
`static void` | `addControls(ECPProject project, VContainer compositeToFill, org.eclipse.emf.ecore.EClass datasegment, Set<org.eclipse.emf.ecore.EStructuralFeature> features)` Create controls and set them to the view.
`static void` | `generateAllControls(VView view)` Create all the controls and set them to the given view.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addControls

    public static void addControls(ECPProject project,
                                   VContainer compositeToFill,
                                   org.eclipse.emf.ecore.EClass datasegment,
                                   Set<org.eclipse.emf.ecore.EStructuralFeature> features)

  Create controls and set them to the view.

  Parameters:
    `project` - the `ECPProject` from which the rootClass is retrieved. It is assumed that the project contains only one `VView`.
    `compositeToFill` - the `VElement` to fill , must be of type `VView` or `VContainer`
    `datasegment` - the class to parse
    `features` - the list of features to create

### addControls

    public static void addControls(org.eclipse.emf.ecore.EClass rootClass,
                                   VElement compositeToFill,
                                   Set<org.eclipse.emf.ecore.EStructuralFeature> features)

  Create controls and set them to the view.

  Parameters:
    `rootClass` - the rootClass for identifying the path
    `compositeToFill` - the `VElement` to fill , must be of type `VView` or `VContainer`
    `features` - the list of features to create

### generateAllControls

    public static void generateAllControls(VView view)

  Create all the controls and set them to the given view.

  Parameters:
    `view` - the view for which the controls are created for

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.